Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gradle.plugins.signing.type
[Groovy] Class AbstractSignatureTypeProvider

    java.lang.Object
      org.gradle.plugins.signing.type.AbstractSignatureTypeProvider

All Implemented Interfaces:
  SignatureTypeProvider

    abstract class AbstractSignatureTypeProvider

Method Summary
`SignatureType` | `getDefaultType()`
`SignatureType` | `getTypeForExtension(String extension)`
`boolean` | `hasTypeForExtension(String extension)`
`protected void` | `register(SignatureType type)`
`void` | `setDefaultType(String defaultTypeExtension)`

Methods inherited from class Object
wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll

Method Detail

### getDefaultType

    SignatureType getDefaultType()

### getTypeForExtension

    SignatureType getTypeForExtension(String extension)

### hasTypeForExtension

    boolean hasTypeForExtension(String extension)

### register

    protected void register(SignatureType type)

### setDefaultType

    void setDefaultType(String defaultTypeExtension)

Gradle API 1.10